Bug 238080

Summary: audio/sdl_sound fails to build if timidity is build with GUSPAT and MIDI option is enabled
Product: Ports & Packages Reporter: Grzegorz Junka <list1>
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Some People CC: list1, w.schwarzenfeld
Priority: --- Flags: bugzilla: maintainer-feedback? (amdmi3)
Version: Latest   
Hardware: amd64   
OS: Any   
Attachments:
Description Flags
svn-diff-sdl_sound
none
svn-diff-sdl_sound_v2
none
svn-diff-sdl_sound_v3 none

Description Grzegorz Junka 2019-05-23 18:37:16 UTC
Fails to build when in audio/timidity GUSPAT option is selected instead of GOEMON.

Build log:

[12rel0-gui-sdltest-job-01] Extracting timidity-0.2i_1: .......... done
Message from guspat-20000706_2:

===>   NOTICE:

The guspat port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
Message from timidity-0.2i_1:

===>   NOTICE:

The timidity port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===>   sdl_sound-1.0.3_14 depends on file: /usr/local/lib/timidity/goemon.cfg - not found
*** Error code 1

Stop.
make: stopped in /usr/ports/audio/sdl_sound
=>> Cleaning up wrkdir
===>  Cleaning for sdl_sound-1.0.3_14


When sdl_sound is build with MIDI option unset or when timidity is build with GOEMON then it builds fine. Looks like a hidden dependency on goemon.
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-17 16:32:04 UTC
Created attachment 206636 [details]
svn-diff-sdl_sound

Added a warning.
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-08-17 16:34:45 UTC
Created attachment 206637 [details]
svn-diff-sdl_sound_v2

Correct warning.
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-08-17 17:24:41 UTC
Created attachment 206639 [details]
svn-diff-sdl_sound_v3
Comment 4 commit-hook freebsd_committer 2019-11-01 00:29:05 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Nov  1 00:28:26 UTC 2019
New revision: 516205
URL: https://svnweb.freebsd.org/changeset/ports/516205

Log:
  - Produce meaningful error when timidity is built without required option
  - Add USES=sdl

  PR:		238080
  Reported by:	list1@gjunka.com
  MFH:		2019Q4 (with hat)

Changes:
  head/audio/sdl_sound/Makefile
Comment 5 Dmitry Marakasov freebsd_committer 2019-11-01 00:31:01 UTC
Fixed it a bit other way, without always producing a warning.